Install Redmine 3.4.3
Status: Work in progress Start date: 11/15/2017
Priority: Normal Due date: 11/30/2017
Assignee: Marc Mengel % Done: 60%
Category: Estimated time: 20.00 hours
Target version: v3 4 3 Spent time: 0.00 hour
Description

Updating to latest stable Redmine is already overdue.

History

#1 - 11/17/2017 04:17 PM - Marc Mengel

Okay, so got release info, started setting up new ups packages on cdcvsdev.fnal.gov

e built ruby v2_4 2 with updated gems for rails, sqlite3, pg (postgres interface), and passenger (sort of python uwsgi equivalent).

e built passenger apache module

¢ downloaded Redmine 3.4.3, setup ups product area for it, symlinked "files" subdirectory, and brought in configs from 2.6.0.

Still to do:

migrate dev database

test startup with new passenger, etc.

install plugins that are in old release

look at installing new plugins (fancier Gantt, etc.)
test

cut new ruby, redmine ups pkgs into fnkits

create CHANGE to schedule installing in production.

#2 - 11/17/2017 05:17 PM - Marc Mengel
- % Done changed from 30 to 50

Its ALIVE!!

Okay, so we have it up and running on https://cdcvsdev.fnal.gov/redmine/

Still need to:
e find newer/better versions of plugins

e try out new plugins
e test stuff...

#3 - 11/21/2017 04:41 PM - Marc Mengel
- % Done changed from 50 to 60
Got updated versions of

e Jenkins and
¢ Code Review

plugins, and added

¢ Redmine Planning plugin (drag and drop on your Gantt chart view) and
e Better Gantt Chart

plugins. Now need to test a lot...
